LUA Error (Console Flood)

Whenever I join my Garry’s Mod DarkRP Server, I get this message:

ERROR: GAMEMODE:‘HUDPaint’ Failed: lua\includes\extensions able.lua:103: bad argument #1 to ‘pairs’ (table expected, got number)

I don’t know how to fix this. I have tried so many things. Here is a list of things I have done:

  1. Reinstalled Garry’s Mod.
  2. Reinstalled the DarkRP gamemode.
  3. Updated to the latest version of DarkRP via SVN.
  4. Reinstalled the CS:S Content.
  5. Reinstalled all of my addons.
  6. Reinstalled all of my addons one by one to see if the problem was due to an of them.
  7. Reinstalled the Table.LUA file.
  8. I have also asked so many people…no one knew the answer. Most of them said to reinstall my addons one by one or to update DarkRP via SVN of which I did.
  9. I also have updated PHX3 via SVN and WireSVN, so those aren’t the problem.

There are two really wierd things that are happening, though.

  1. It only happens in the DarkRP gamemode. When I switch it over to Sandbox, there are no console errors or errors what-so-ever.
  2. I do not see errors when I switch to the Mob Boss or Gangster Job. The errors go away shortly after I switch to that job and unless I switch to another job, they do not appear again.

I want to get rid of these errors as they are really annoying and get in your face. Please help, and if there is a solution, please tell me it. I am new to this (LUA Coding) and some help would be appreciated. Here are the specifications of my server, etc.

Server Host: Jestservers
Tick: 66
List of Current Addons: Advanced Duplicator, CSS Realistic Weapons 4.0, DurgzMod, Keypad, PHX3, Smartsnap, ULib, U.L.X. Mod, Wire, Wire Model Pack 1, Wire Extras.
Server Slots: 30
DarkRP Version: 2.4.1 Updated Via SVN.

Please help.
Thanks,
Logan.

Its nothing wrong with gmod.
Its something wrong in the code of DarkRP

I know. I have look over every single file I have edited, and nothing seems to be wrong. I swear that I have read the Shard.LUA file over 10 times. The Shared.LUA file can really fuck up your gamemode. Anyone have any answers?

ever tried using a clean version of DarkRP

I have done too much work on this gamemode to start over. And I sort of have in a way. I downloaded the newest version of DarkRP via SVN and only replaced the three files I edited. language_sh.LUA, Shared.LUA, and AddEntities.LUA with the exception of my weapons and entities in the weapons and entities folder.

could you post some of the code you edited?

FYI the error occurs in table.HasValue, look for that in your code.